All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Quad-Based Affine Transform
Affine Transforms

Transforms (warps) an image based on an affine transform. More...

## Functions

NppStatus | nppiWarpAffineQuad_8u_C1R_Ctx (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Single-channel 32-bit floating-point quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_8u_C1R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_8u_C3R_Ctx (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned integer quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_8u_C3R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_8u_C4R_Ctx (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned integer quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_8u_C4R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_8u_AC4R_Ctx (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned integer quad-based affine warp, ignoring alpha channel. More...
NppStatus | nppiWarpAffineQuad_8u_AC4R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_8u_P3R_Ctx (const Npp8u *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst[3], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel planar 8-bit unsigned integer quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_8u_P3R (const Npp8u *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst[3], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_8u_P4R_Ctx (const Npp8u *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst[4], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel planar 8-bit unsigned integer quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_8u_P4R (const Npp8u *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst[4], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_16u_C1R_Ctx (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Single-channel 16-bit unsigned integer quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_16u_C1R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_16u_C3R_Ctx (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned integer quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_16u_C3R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_16u_C4R_Ctx (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned integer quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_16u_C4R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_16u_AC4R_Ctx (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned integer quad-based affine warp, ignoring alpha channel. More...
NppStatus | nppiWarpAffineQuad_16u_AC4R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_16u_P3R_Ctx (const Npp16u *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst[3], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel planar 16-bit unsigned integer quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_16u_P3R (const Npp16u *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst[3], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_16u_P4R_Ctx (const Npp16u *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst[4], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel planar 16-bit unsigned integer quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_16u_P4R (const Npp16u *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst[4], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_32s_C1R_Ctx (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Single-channel 32-bit signed integer quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_32s_C1R (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_32s_C3R_Ctx (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel 32-bit signed integer quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_32s_C3R (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_32s_C4R_Ctx (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 32-bit signed integer quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_32s_C4R (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_32s_AC4R_Ctx (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 32-bit signed integer quad-based affine warp, ignoring alpha channel. More...
NppStatus | nppiWarpAffineQuad_32s_AC4R (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_32s_P3R_Ctx (const Npp32s *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst[3], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel planar 32-bit signed integer quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_32s_P3R (const Npp32s *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst[3], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_32s_P4R_Ctx (const Npp32s *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst[4], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel planar 32-bit signed integer quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_32s_P4R (const Npp32s *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst[4], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_32f_C1R_Ctx (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Single-channel 32-bit floating-point quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_32f_C1R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_32f_C3R_Ctx (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating-point quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_32f_C3R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_32f_C4R_Ctx (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating-point quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_32f_C4R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_32f_AC4R_Ctx (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating-point quad-based affine warp, ignoring alpha channel. More...
NppStatus | nppiWarpAffineQuad_32f_AC4R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_32f_P3R_Ctx (const Npp32f *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst[3], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel planar 32-bit floating-point quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_32f_P3R (const Npp32f *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst[3], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
NppStatus | nppiWarpAffineQuad_32f_P4R_Ctx (const Npp32f *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst[4], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel planar 32-bit floating-point quad-based affine warp. More...
NppStatus | nppiWarpAffineQuad_32f_P4R (const Npp32f *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst[4], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)

## Detailed Description

Transforms (warps) an image based on an affine transform.

The affine transform is computed such that it maps a quadrilateral in source image space to a quadrilateral in destination image space.

An affine transform is fully determined by the mapping of 3 discrete points. The following primitives compute an affine transformation matrix that maps the first three corners of the source quad are mapped to the first three vertices of the destination image quad. If the fourth vertices do not match the transform, an NPP_AFFINE_QUAD_INCORRECT_WARNING is returned by the primitive.

### Common parameters for nppiWarpAffineQuad packed pixel functions include:

Parameters

  pSrc | Source-Image Pointer.
  oSrcSize | Size of source image in pixels.
  nSrcStep | Source-Image Line Step.
  oSrcROI | Source ROI.
  aSrcQuad | Source quad.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oDstROI | Destination ROI.
  aDstQuad | Destination quad.
  eInterpolation | Interpolation mode: can be NPPI_INTER_NN, NPPI_INTER_LINEAR or NPPI_INTER_CUBIC.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, Affine Transform Error Codes

### Common parameters for nppiWarpAffineQuad planar pixel functions include:

Parameters

  pSrc | Source-Planar-Image Pointer Array (host memory array containing device memory image plane pointers).
  oSrcSize | Size of source image in pixels.
  nSrcStep | Source-Image Line Step.
  oSrcROI | Source ROI
  aSrcQuad | Source quad.
  pDst | Destination-Planar-Image Pointer Array (host memory array containing device memory image plane pointers).
  nDstStep | Destination-Image Line Step.
  oDstROI | Destination ROI
  aDstQuad | Destination quad.
  eInterpolation | Interpolation mode: can be NPPI_INTER_NN, NPPI_INTER_LINEAR or NPPI_INTER_CUBIC
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, Affine Transform Error Codes

## Function Documentation

NppStatus nppiWarpAffineQuad_16u_AC4R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned integer quad-based affine warp, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_16u_C1R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel 16-bit unsigned integer quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_16u_C3R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned integer quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_16u_C4R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned integer quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_16u_P3R | ( | const Npp16u * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_16u_P3R_Ctx | ( | const Npp16u * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel planar 16-bit unsigned integer quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad planar pixel functions.

NppStatus nppiWarpAffineQuad_16u_P4R | ( | const Npp16u * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_16u_P4R_Ctx | ( | const Npp16u * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel planar 16-bit unsigned integer quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad planar pixel functions.

NppStatus nppiWarpAffineQuad_32f_AC4R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating-point quad-based affine warp, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_32f_C1R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel 32-bit floating-point quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_32f_C3R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating-point quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_32f_C4R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating-point quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_32f_P3R | ( | const Npp32f * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_32f_P3R_Ctx | ( | const Npp32f * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel planar 32-bit floating-point quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad planar pixel functions.

NppStatus nppiWarpAffineQuad_32f_P4R | ( | const Npp32f * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_32f_P4R_Ctx | ( | const Npp32f * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel planar 32-bit floating-point quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad planar pixel functions.

NppStatus nppiWarpAffineQuad_32s_AC4R | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_32s_AC4R_Ctx | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit signed integer quad-based affine warp, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_32s_C1R | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_32s_C1R_Ctx | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel 32-bit signed integer quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_32s_C3R | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_32s_C3R_Ctx | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit signed integer quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_32s_C4R | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_32s_C4R_Ctx | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit signed integer quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_32s_P3R | ( | const Npp32s * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_32s_P3R_Ctx | ( | const Npp32s * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel planar 32-bit signed integer quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad planar pixel functions.

NppStatus nppiWarpAffineQuad_32s_P4R | ( | const Npp32s * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_32s_P4R_Ctx | ( | const Npp32s * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel planar 32-bit signed integer quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad planar pixel functions.

NppStatus nppiWarpAffineQuad_8u_AC4R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned integer quad-based affine warp, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_8u_C1R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel 32-bit floating-point quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_8u_C3R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned integer quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_8u_C4R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned integer quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad packed pixel functions.

NppStatus nppiWarpAffineQuad_8u_P3R | ( | const Npp8u * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_8u_P3R_Ctx | ( | const Npp8u * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel planar 8-bit unsigned integer quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad planar pixel functions.

NppStatus nppiWarpAffineQuad_8u_P4R | ( | const Npp8u * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpAffineQuad_8u_P4R_Ctx | ( | const Npp8u * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel planar 8-bit unsigned integer quad-based affine warp.

For common parameter descriptions, see Common parameters for nppiWarpAffineQuad planar pixel functions.

Copyright © 2009-2019 NVIDIA Corporation